@import "./normalize.min.css";
@import url('https://fonts.googleapis.com/css2?family=Titillium+Web');

:root {
  --font-color: #3c4761;
  --bg-opacity: rgba(0, 0, 0, .1);
  --facebook-color: #1877F2;
  --twitter-color: #34C4F3;
  --linkedin-color: #0076B4;
  --google-color: #F1574A;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul, li {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: #000;
}

h1 {
  margin: 0;
}

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
  font-family: 'Titillium Web', sans-serif;
}

body {
  width: 100%;
}

/* Section styles */

.container {
  width: 90%;
  height: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
}

.section {
  padding: 100px 0;
}

.section_header {
  font-size: 40px;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 50px;
  position: relative;
}

.section_header::after {
  position: absolute;
  content: '';
  width: 90px;
  height: 5px;
  bottom: -25px;
  left: calc(50% - 45px);
  background: var(--bg-opacity);
}

.section_description {
  width: 60%;
  font-size: 18px;
  text-align: center;
  margin-bottom: 70px;
}

.btn_padding {
  display: inline-block;
  color: #fff;
  text-transform: uppercase;
  font-size: 18px;
  font-weight: 600;
  padding: 20px 80px;
}

/* Welcome section */

.welcome {
  height: 100vh;
  background-color: #87509c;
}

.welcome_container--align-top {
  justify-content: flex-start;
  padding-top: 55px;
}

.welcome-header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 125px;
}

.welcome-header_logo--margin-left {
  margin-left: 40px;
}

.welcome-header_logo-link {
  display: inline-block;
}

.welcome-header_logo-img {
  max-width: 120px;
}

.welcome-header_menu {
  margin-right: 17px;
  display: flex;
}

.welcome-header_list-item {
  display: inline-block;
  margin-right: 10px;
  border-radius: 4px;
}

.welcome-header_list-item:last-child {
  margin: 0;
}

.welcome-header_list-item:hover {
  background: #643a79;
}


.welcome-header_link {
  display: inline-block;
  text-decoration: none;
  text-transform: uppercase;
  color: #fff;
  font-size: 16px;
  padding: 6px 15px;
}

.welcome-header_burger-btn {
  width: 30px;
  height: 22px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  display: none;
  z-index: 2;
}

.welcome-header_burger-btn:hover {
  cursor: pointer;
}

.line {
  height: 3px;
  background: #fff;
  border-radius: 1px;
  transition: .3s;
}

.welcome-header_list_opened .welcome-header_list-item {
  display: block;
}

.welcome_greeting-message {
  width: 80%;
  font-size: 40px;
  font-weight: bold;
  color: #f7f3ea;
  text-align: center;
  margin-bottom: 50px;
}

.welcome_button--orange {
  color: #fff;
  text-transform: uppercase;
  font-size: 18px;
  font-weight: 600;
  padding: 20px 80px;
  background: #eb7d4b;
  border-radius: 4px;
  border-bottom: 5px solid #c86a40;
}

.welcome_button--orange:hover {
  background: #c86a40;
}

/* Services section */

.services {
  background: #17c2a4;
  color: #fff;
}

.services_list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.services_list-item {
  flex-basis: 25%;
  padding: 0 20px;
  text-align: center;
}

.services_list-item:last-child {
  margin: 0;
}

.services_image-wrap {
  margin-bottom: 60px;
}

.services_image {
  max-height: 124px;
}

.services_list-header {
  font-weight: bold;
  font-size: 18px;
  text-transform: uppercase;
  margin-bottom: 27px;
}

.services_list-description {
  font-size: 16px;
  text-align: center;
}

/* Our team */

.team {
  background: #e7f1f8;
  color: var(--font-color);
}

.team_list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.team_member {
  flex-basis: 25%;
  padding: 0 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.team_member-info {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.team_member-photo {
  display: inline-block;
  width: 170px;
  height: 170px;
  margin-bottom: 32px;
  border-radius: 50%;
  overflow: hidden;
}

.team_member-image {
  max-height: 100%;
}

.team_member-name {
  font-size: 24px;
  text-transform: uppercase;
}

.team_member-position {
  font-size: 16px;
  font-weight: normal;
  color: #30bae7;
  margin-bottom: 30px;
}

.team_member-notes {
  text-align: center;
  margin-bottom: 35px;
  font-weight: 200;
  font-size: 16px;
}

.team_member-social {
  display: inline-block;
  margin-right: 10px;
}

.team_member-social:last-child {
  margin: 0;
}

.team_member-social-link {
  display: inline-block;
  background-repeat: no-repeat;
  background-size: cover;
  width: 30px;
  height: 30px;
}

.social-icon {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: #bdd1df;
  transition: .2s;
}

.twitter-icon:hover .social-icon{
  background-color: var(--twitter-color);
}

.facebook-icon:hover .social-icon{
  background-color: var(--facebook-color);
}

.linkedin-icon:hover .social-icon{
  background-color: var(--linkedin-color);
}

.gmail-icon:hover .social-icon{
  background-color: var(--google-color);
}

/* Our skills */

.skills {
  color: var(--font-color);
}

.skills_list {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.skills_item {
  flex-basis: 25%;
  text-align: center;
  position: relative;
}

.skills_progress-circle {
  width: 180px;
  height: 180px;
  margin: 0;
  transform: rotate(-90deg);
  margin-bottom: 30px;
}

.skills_progress-fill_web-design {
  stroke: #30bae7; 
  stroke-dasharray: 387 1000;
}

.skills_progress-fill_markup {
  stroke: #d74680; 
  stroke-dasharray: 324 1000;
}

.skills_progress-fill_graphic-design {
  stroke: #15c7a8; 
  stroke-dasharray: 302 1000;
}

.skills_progress-fill_ui-ux {
  stroke: #eb7d4b; 
  stroke-dasharray: 367 1000;
}

.skills_percentage {
  position: absolute;
  top: 55px;
  left: calc(50% - 30px);
  font-size: 32px;
}

.skills_percentage_font-size {
  font-size: 50px;
}

.skills_name {
  text-transform: uppercase;
  font-size: 24px;
}

/* Our Portfoilo */

.portfolio {
  background: #ffdd99;
  color: #393939;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.portfolio_list {
  margin-bottom: 60px;
}

.portfolio_tab {
  display: inline-block;
  width: 85px;
  height: 40px;
  text-align: center;
  background: var(--bg-opacity);
  border-radius: 2px;
  margin-right: 10px;
}

.portfolio_tab:hover {
  background: rgba(0, 0, 0, .2);
}

.portfolio_tab:active {
  background: #fff;
}

.portfolio_tab:last-child {
  margin: 0;
}

.portfolio_link {
  display: block;
  padding: 10px 0;
  color: #393939;
}

.portfolio_examples {
  margin-bottom: 60px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.portfolio_examples-item {
  flex-basis: auto;
  text-align: center;
  display: flex;
  align-items: center;
  flex-direction: column;
  position: relative;
}

.portfolio_examples-item:nth-child(1),
.portfolio_examples-item:nth-child(2) {
  margin-bottom: 60px;
}

.portfolio_image-wrap {
  width: 540px;
  height: 311px;
  background: url(../img/laptop.png);
  background-size: contain;
  background-repeat: no-repeat;
  padding: 3.2% 12% 6.9% 11.9%;
  margin-bottom: 30px;
  overflow: hidden;
}

.portfolio_item-image {
  width: 100%;
  height: 100%;
  object-fit: fill;
  object-position: 50% 50%;
}

.portfolio_examples-link {
  display: inline-block;
  font-size: 18px;
  text-transform: uppercase;
}

.portfolio_button--green {
  color: #fff;
  text-transform: uppercase;
  font-size: 18px;
  font-weight: 600;
  padding: 20px 80px;
  background: #17c2a4;
  border-radius: 4px;
  border-bottom: 5px solid #14a58c;
}

.portfolio_button--green:hover {
  background: #14a58c;
}

/* Our reviews */

.reviews {
  background: #d74680;
  color: #fff;
}

.reviews_list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.reviews_person {
  flex-basis: 45%;
  display: flex;
  padding: 0 20px;
}

.reviews_person:nth-child(1),
.reviews_person:nth-child(2) {
  margin-bottom: 180px;
}

.reviews_photo {
  min-width: 90px;
  max-width: 90px;
  height: 90px;
  margin-right: 50px;
  overflow: hidden;
  border-radius: 50%;
}

.reviews_person-image {
  max-height: 100%;
}

.reviews_content {
  display: flex;
  flex-grow: 1;
  flex-direction: column;
  justify-content: space-between;
}

.reviews_text {
  margin-bottom: 20px;
}

.reviews_name {
  text-transform: uppercase;
  font-size: 24px;
}

.reviews_position {
  font-size: 18px;
  font-weight: normal;
  color: #ffdd99;
}

/* Contact */

.contact {
  background: #3c5499;
  color: #fff;
  position: relative;
}

.contact_description--size {
  width: 80%;
}

.contact_form {
  width: 80%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.contact_inputs {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.contact_name,
.contact_email{
  flex-basis: 48%;
  background: rgba(0, 0, 0, .3);
  outline: none;
  border: none;
  border-radius: 5px;
  height: 60px;
  padding: 0 20px;
  margin-bottom: 25px;
}

.contact_message {
  width: 100%;
  height: 200px;
  padding: 10px 20px;
  background: rgba(0, 0, 0, .3);
  outline: none;
  border: none;
  border-radius: 5px;
  margin-bottom: 50px;
}

.contact_name::placeholder,
.contact_email::placeholder,
.contact_message::placeholder {
  color: #fff;
}

.contact_name::after::placeholder {
  display: block;
  content: '*';
  color: red;
}

.contact_name:focus::placeholder,
.contact_email:focus::placeholder,
.contact_message:focus::placeholder {
  color: transparent;
}

.contact_button--blue {
  color: #fff;
  text-transform: uppercase;
  font-size: 18px;
  font-weight: 600;
  padding: 20px 80px;
  background: #30bae7;
  border-radius: 4px;
  border-bottom: 5px solid #299ec5;
}

.contact_button--blue:hover {
  background: #299ec5;
}

/* Social */

.footer {
  background: #344b8e;
}

.footer_container {
  width: 80%;
  margin: 0 auto;
  padding: 60px 0;
}

.footer_social-list{
  display: flex;
  justify-content: space-evenly;
}

.footer_item {
  display: inline-block;
}

.footer_link {
  color: #fff;
  font-size: 24px;
  font-weight: 600;
}

.footer_link:hover {
  color: var(--twitter-color);
}
